org.vishia.gral.base

## Class GralGraphicThread.ImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralGraphicThread.ImplAccess

- Direct Known Subclasses:
    AwtGraphicThread, SwtGraphicThread
  Enclosing class:
    GralGraphicThread

      public abstract static class GralGraphicThread.ImplAccess
      extends java.lang.Object

  This class is used only for the implementation level of the graphic. It is not intent to use by any application. It is public because the implementation level should accesses it.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GralGraphicThread` | `gralGraphicThread`
    `protected LogMessage` | `log`
    `GralWindow` | `mainWindow`
    `protected char` | `sizeCharProperties`
    `protected java.lang.Thread` | `threadGuiDispatch` The thread which runs all graphical activities.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ImplAccess(char sizeCharProperties, GralWindow mainWindow, LogMessage log)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `dispatchOsEvents()` Calls the dispatch routine of the implementation graphic.
    `GralGraphicThread` | `gralGraphicThread()`
    `protected abstract void` | `graphicThreadSleep()` Forces the graphic thread to sleep and wait for any events.
    `protected abstract void` | `initGraphic()` This method should be implemented by the graphical implementation layer.
    `protected void` | `setClosed(boolean val)` Terminates the run loop if val == true.
    `protected void` | `startThread()`
    `abstract void` | `wakeup()` This method should be implemented by the graphical base.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gralGraphicThread

          protected final GralGraphicThread gralGraphicThread

    - #### sizeCharProperties

          protected char sizeCharProperties

    - #### threadGuiDispatch

          protected final java.lang.Thread threadGuiDispatch

      The thread which runs all graphical activities.

    - #### mainWindow

          public final GralWindow mainWindow

    - #### log

          protected final LogMessage log

  - ### Constructor Detail

    - #### ImplAccess

          protected ImplAccess(char sizeCharProperties,
                               GralWindow mainWindow,
                               LogMessage log)

  - ### Method Detail

    - #### startThread

          protected void startThread()

    - #### gralGraphicThread

          public GralGraphicThread gralGraphicThread()

    - #### initGraphic

          protected abstract void initGraphic()

      This method should be implemented by the graphical implementation layer. It should build the graphic main window and returned when finished. This routine is called as the first routine in the Graphic thread's method `GralGraphicThread.run()`. See `SwtGraphicThread`.

    - #### dispatchOsEvents

          protected abstract boolean dispatchOsEvents()

      Calls the dispatch routine of the implementation graphic.
      Returns:
        true if dispatching should be continued.

    - #### graphicThreadSleep

          protected abstract void graphicThreadSleep()

      Forces the graphic thread to sleep and wait for any events. Either this routine returns if `wakeup()` is called or this routine returns if the operation system wakes up the graphic thread.

    - #### wakeup

          public abstract void wakeup()

      This method should be implemented by the graphical base. It should be waked up the execution of the graphic thread because some actions are registered..

    - #### setClosed

          protected void setClosed(boolean val)

      Terminates the run loop if val == true.
      Parameters:
        `val` -